/*------------------------------------------------------------------
File Name: color_2.css
-------------------------------------------------------------------*/
#cd-nav ul {
    border: solid black 3px;
    /* mobile first */
    position: fixed;
    width: 70%;
    max-width: 250px;
    max-height: 80vh;
    right: 5%;
    bottom: 5%;
    border-radius: 0.25em;
    box-shadow: 0 3px 8px rgba(0, 0, 0, 0.1);
    background: white;
    visibility: hidden;
    /* remove overflow:hidden if you want to create a drop-down menu - but then remember to fix/eliminate the list items animation */
    overflow: hidden;
    overflow-y: auto;
    z-index: 900;
    /* Force Hardware Acceleration in WebKit */
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
    -webkit-transform-origin: 100% 100%;
    -moz-transform-origin: 100% 100%;
    -ms-transform-origin: 100% 100%;
    -o-transform-origin: 100% 100%;
    transform-origin: 100% 100%;
    -webkit-transition: -webkit-transform 0.3s, visibility 0s 0.3s;
    -moz-transition: -moz-transform 0.3s, visibility 0s 0.3s;
    transition: transform 0.3s, visibility 0s 0.3s;
}

#cd-nav ul li {
    /* Force Hardware Acceleration in WebKit */
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    display: block;
    width: 100%;
    padding: 0;
    text-align: left;
}

#cd-nav ul li:hover {
    background-color: #FFF;
}

#cd-nav ul.is-visible {
    visibility: visible;
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
    -webkit-transition: -webkit-transform 0.3s, visibility 0s 0s;
    -moz-transition: -moz-transform 0.3s, visibility 0s 0s;
    transition: transform 0.3s, visibility 0s 0s;
}

#cd-nav li a {
    display: block;
    padding: 1em;
    font-size: 13px;
    border-bottom: 1px solid #eff2f6;
    color: #333;
}

#cd-nav li a:hover {
    color: orange;
}

#cd-nav li:last-child a {
    border-bottom: none;
}

.cd-nav-trigger {
    position: fixed;
    bottom: 5%;
    right: 5%;
    width: 44px;
    height: 44px;
    border-radius: 50%;
    box-shadow: 0 0 3px rgba(0, 0, 0, 1);
    /* image replacement */
    overflow: hidden;
    ---text-indent: 100%;
    white-space: nowrap;
    z-index: 1000;
    ---background: #000;
    text-align: center;
}

.cd-nav-trigger a{
    color: white;
}

/*.cd-nav-trigger span {
    position: absolute;
    display: block;
    width: 20px;
    height: 2px;
    background: #fff;
    top: 50%;
    margin-top: -1px;
    left: 50%;
    margin-left: -10px;
    -webkit-transition: background 0.3s;
    -moz-transition: background 0.3s;
    transition: background 0.3s;
}

.cd-nav-trigger span::before,
.cd-nav-trigger span::after {
    content: '';
    position: absolute;
    left: 0;
    background: inherit;
    width: 100%;
    height: 100%;
    -webkit-transform: translateZ(0);
    -moz-transform: translateZ(0);
    -ms-transform: translateZ(0);
    -o-transform: translateZ(0);
    transform: translateZ(0);
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    -webkit-transition: -webkit-transform 0.3s, background 0s;
    -moz-transition: -moz-transform 0.3s, background 0s;
    transition: transform 0.3s, background 0s;
}

.cd-nav-trigger span::before {
    top: -6px;
    -webkit-transform: rotate(0);
    -moz-transform: rotate(0);
    -ms-transform: rotate(0);
    -o-transform: rotate(0);
    transform: rotate(0);
}

.cd-nav-trigger span::after {
    bottom: -6px;
    -webkit-transform: rotate(0);
    -moz-transform: rotate(0);
    -ms-transform: rotate(0);
    -o-transform: rotate(0);
    transform: rotate(0);
}

*/

.cd-nav-trigger.menu-is-open {
    box-shadow: none;
}

.cd-nav-trigger.menu-is-open span {
    background: rgba(232, 74, 100, 0);
}

.cd-nav-trigger.menu-is-open span::before,
.cd-nav-trigger.menu-is-open span::after {
    background: orange;
}

.cd-nav-trigger.menu-is-open span::before {
    top: 0;
    -webkit-transform: rotate(135deg);
    -moz-transform: rotate(135deg);
    -ms-transform: rotate(135deg);
    -o-transform: rotate(135deg);
    transform: rotate(135deg);
}

.cd-nav-trigger.menu-is-open span::after {
    bottom: 0;
    -webkit-transform: rotate(225deg);
    -moz-transform: rotate(225deg);
    -ms-transform: rotate(225deg);
    -o-transform: rotate(225deg);
    transform: rotate(225deg);
}

